Retrieves the details of an existing OutboundPayment by passing the unique OutboundPayment ID from either the OutboundPayment create or list response.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The ID of the OutboundPayment to retrieve.
Returns
Response attributes
- idstring
Unique identifier for the OutboundPayment.
- objectstring, value is "v2.money_management.outbound_payment"
String representing the object’s type. Objects of the same type share the same value of the object field.
- amountobject
The “presentment amount” for the OutboundPayment.
- cancelableboolean
Returns true if the OutboundPayment can be canceled, and false otherwise.
- createdtimestamp
Time at which the OutboundPayment was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.
- delivery_
optionsnullable object Delivery options to be used to send the OutboundPayment.
- descriptionnullable string
An arbitrary string attached to the OutboundPayment. Often useful for displaying to users.
- expected_
arrival_ datenullable timestamp The date when funds are expected to arrive in the payout method. This field is not set if the payout method is in a
failed,canceled, orreturnedstate. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - fromobject
The FinancialAccount that funds were pulled from.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - metadatanullable map
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
- outbound_
payment_ quotenullable stringPreview feature The quote for this OutboundPayment. Only required for countries with regulatory mandates to display fee estimates before OutboundPayment creation.
- receipt_
urlnullable string A link to the Stripe-hosted receipt for this OutboundPayment. The receipt link remains active for 60 days from the OutboundPayment creation date. After this period, the link will expire and the receipt url value will be null.
- recipient_
notificationobject Details about the OutboundPayment notification settings for recipient.
- statement_
descriptorstring The description that appears on the receiving end for an OutboundPayment (for example, bank statement for external bank transfer). It will default to
STRIPEif not set on the account settings. - statusenum
Current status of the OutboundPayment:
processing,failed,posted,returned,canceled. An OutboundPayment isprocessingif it has been created and is processing. The status changes topostedonce the OutboundPayment has been “confirmed” and funds have left the account, or tofailedorcanceled. If an OutboundPayment fails to arrive at its payout method, its status will change toreturned.Possible enum valuescanceledA user canceled the OutboundPayment before posting. Stripe returns the funds to the user by voiding the pending Transaction.
failedThe OutboundPayment failed to confirm. Stripe returns the funds to the user by voiding the pending Transaction.
postedThe OutboundPayment posted and funds have left the account. The underlying Transaction posts.
processingThe OutboundPayment starting state. Funds are “held” by a pending Transaction (but are still part of the current balance). The OutboundPayment might be cancelable by the user, depending on the value of the cancelable field.
returnedThe OutboundPayment failed to successfully arrive at the destination. Funds return to the user with a second posted Transaction attached to the same flow.
- status_
detailsnullable object Status details for an OutboundPayment in a
failedorreturnedstate. - status_
transitionsnullable object Hash containing timestamps of when the object transitioned to a particular status.
- toobject
To which payout method the OutboundPayment was sent.
- trace_
idobjectPreview feature A unique identifier that can be used to track this OutboundPayment with recipient bank. Banks might call this a “reference number” or something similar.
The resource wasn’t found.
{ "id": "obp_test_65OAfT9tVl3u223h0he16NybHIZ4SQ3LORe4rpuNGDIKCO", "object": "v2.money_management.outbound_payment", "from": { "financial_account": "fa_test_65NybHaQx7KJxDc22rZ16NybHIZ4SQ3LORe4rpuNGDIXEO", "debited": { "value": 1000, "currency": "usd" } }, "to": { "credited": { "value": 1000, "currency": "usd" }, "recipient": "acct_test_61Nyc6oHjbwlpjhvd66Nyc6oZ4SQv89ZZAqvHiCECJ3g", "payout_method": "usba_test_61Nyd9YFBVUzLyxXZ16Nyc6oZ4SQv89ZZAqvHiCEC9VQ" }, "delivery_options": { "bank_account": "automatic" }, "amount": { "value": 1000, "currency": "usd" }, "statement_descriptor": "Payment for streaming earnings", "cancelable": true, "description": "Streamer earnings", "status": "processing", "status_transitions": {}, "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZOeWJISVo0U1EzTE9SZTRycHVOR0RJKMPgpqIGMgbztcBwNg46oQGUmYI69-O84chYtSQDFeO22gsaZPBsi9OkhxmOvY_z5ElXLqPGy_WUkLZ0XuCmjerVOR-ZnrOKDcHldqWvsxHXRaRnjq2SLu5V7tJaYWNe3_Vy2VhWmJ8H09qAOl8HxjS9prFckpisbEa_1u53hKgIXZVoI4FEOVWgFcf0-d7ev6zL728kPw-QcXbRkPi-wwaIXwxRNbyTpsBi6KzQ7PTqlg", "created": "2023-04-26T23:12:35.952Z", "expected_arrival_date": "2023-04-28T00:00:00Z", "recipient_notification": { "setting": "configured" }, "livemode": false}Returns a list of OutboundPayments that match the provided filters.
Learn more about calling API v2 endpoints.Parameters
- createdtimestamp
Filter for objects created at the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.
- created_
gttimestamp Filter for objects created after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.
- created_
gtetimestamp Filter for objects created on or after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.
- created_
lttimestamp Filter for objects created before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.
- created_
ltetimestamp Filter for objects created on or before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.
- limitinteger
The maximum number of results to return.
- pagestring
The page token to use to retrieve the page being requested.
- recipientstring
Only return OutboundPayments sent to this recipient.
- statusarray of enums
Closed Enum. Only return OutboundPayments with this status.
Possible enum valuescanceledA user canceled the OutboundPayment before posting. Stripe returns the funds to the user by voiding the pending Transaction.
failedThe OutboundPayment failed to confirm. Stripe returns the funds to the user by voiding the pending Transaction.
postedThe OutboundPayment posted and funds have left the account. The underlying Transaction posts.
processingThe OutboundPayment starting state. Funds are “held” by a pending Transaction (but are still part of the current balance). The OutboundPayment might be cancelable by the user, depending on the value of the cancelable field.
returnedThe OutboundPayment failed to successfully arrive at the destination. Funds return to the user with a second posted Transaction attached to the same flow.
Returns
Response attributes
- dataarray of objects
The OutboundPayments retrieved.
- next_
page_ urlnullable string The URL for the next page of results.
- previous_
page_ urlnullable string The URL for the previous page of results.
Error returned when the page token provided in the OutboundPayments/OutboundTransfers list request is invalid.
{ "data": [ { "id": "obp_test_65OAfUM3B6hTbQdW72y16NybHIZ4SQ3LORe4rpuNGDIWJM", "object": "v2.money_management.outbound_payment", "from": { "financial_account": "fa_test_65NybHaQx7KJxDc22rZ16NybHIZ4SQ3LORe4rpuNGDIXEO", "debited": { "value": 1000, "currency": "usd" } }, "to": { "recipient": "acct_test_61Nyc6oHjbwlpjhvd66Nyc6oZ4SQv89ZZAqvHiCECJ3g", "payout_method": "usba_test_61Nyd9YFBVUzLyxXZ16Nyc6oZ4SQv89ZZAqvHiCEC9VQ", "credited": { "value": 1000, "currency": "usd" } }, "delivery_options": { "bank_account": "automatic" }, "amount": { "value": 1000, "currency": "usd" }, "statement_descriptor": "Payment for streaming earnings", "cancelable": false, "description": "Streamer earnings", "status": "canceled", "status_transitions": { "canceled_at": "2023-04-26T23:14:58.321Z" }, "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZOeWJISVo0U1EzTE9SZTRycHVOR0RJKKHhpqIGMgZRo1m_xhE6oQGUeczbdUAAGdSgXTI6R9NnQ_eY4wM5AiYAzeF5toQDEwk6sb74cUc8RCZq5DyHcAlT1SVg7l1aD0tUo8EmPzAAkMo_E0csmP-ANJqI53kErMF1ZY4sY9Z-eV7hAGhk3ATl0HgwfNMWjueJJ4I93-wybLjOfQtozFwQgXbSjvN_nYTF4XMPa_IEwFrzAnLnedX5YVZcQIE8o84-GeLtYCsh6Q", "created": "2023-04-26T23:13:51.767Z", "expected_arrival_date": "2023-04-28T00:00:00Z", "recipient_notification": { "setting": "configured" }, "livemode": false }, { "id": "obp_test_65OAfT9tVl3u223h0he16NybHIZ4SQ3LORe4rpuNGDIKCO", "object": "v2.money_management.outbound_payment", "from": { "financial_account": "fa_test_65NybHaQx7KJxDc22rZ16NybHIZ4SQ3LORe4rpuNGDIXEO", "debited": { "value": 70, "currency": "usd" } }, "to": { "recipient": "acct_test_61Nyc6oHjbwlpjhvd66Nyc6oZ4SQv89ZZAqvHiCECJ3g", "payout_method": "usba_test_61Nyd9YFBVUzLyxXZ16Nyc6oZ4SQv89ZZAqvHiCEC9VQ", "credited": { "value": 70, "currency": "usd" } }, "delivery_options": { "bank_account": "automatic" }, "amount": { "value": 70, "currency": "usd" }, "statement_descriptor": "Payment for streaming earnings", "cancelable": true, "description": "Streamer earnings", "status": "processing", "status_transitions": {}, "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZOeWJISVo0U1EzTE9SZTRycHVOR0RJKKHhpqIGMgaHLLakVjE6oQGUBP4uoz2TYLGepLSM0zU62Irj-5PfTqRlvJwjXRX5AM0K0WPzvIl8BNGa1XqDxL1bJ3-L4kioq0lFL3iPVNmPQ4PxQZzl82wJD8WFZUSkFVMeug5VPGcMYmXtiUYYc9Ir3v2IIjUf213H-Jg3-v0432XfxdHnlrVoN_1okeCtH80xJC24j64hX2_5RrB7bCmCiUPF8MsyChh218bP3YqxEQ", "created": "2023-04-26T23:12:35.952Z", "expected_arrival_date": "2023-04-28T00:00:00Z", "recipient_notification": { "setting": "configured" }, "livemode": false } ]}Cancels an OutboundPayment. Only processing OutboundPayments can be canceled.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The ID of the OutboundPayment to cancel.
Returns
Response attributes
- idstring
Unique identifier for the OutboundPayment.
- objectstring, value is "v2.money_management.outbound_payment"
String representing the object’s type. Objects of the same type share the same value of the object field.
- amountobject
The “presentment amount” for the OutboundPayment.
- cancelableboolean
Returns true if the OutboundPayment can be canceled, and false otherwise.
- createdtimestamp
Time at which the OutboundPayment was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.
- delivery_
optionsnullable object Delivery options to be used to send the OutboundPayment.
- descriptionnullable string
An arbitrary string attached to the OutboundPayment. Often useful for displaying to users.
- expected_
arrival_ datenullable timestamp The date when funds are expected to arrive in the payout method. This field is not set if the payout method is in a
failed,canceled, orreturnedstate. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - fromobject
The FinancialAccount that funds were pulled from.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - metadatanullable map
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
- outbound_
payment_ quotenullable stringPreview feature The quote for this OutboundPayment. Only required for countries with regulatory mandates to display fee estimates before OutboundPayment creation.
- receipt_
urlnullable string A link to the Stripe-hosted receipt for this OutboundPayment. The receipt link remains active for 60 days from the OutboundPayment creation date. After this period, the link will expire and the receipt url value will be null.
- recipient_
notificationobject Details about the OutboundPayment notification settings for recipient.
- statement_
descriptorstring The description that appears on the receiving end for an OutboundPayment (for example, bank statement for external bank transfer). It will default to
STRIPEif not set on the account settings. - statusenum
Current status of the OutboundPayment:
processing,failed,posted,returned,canceled. An OutboundPayment isprocessingif it has been created and is processing. The status changes topostedonce the OutboundPayment has been “confirmed” and funds have left the account, or tofailedorcanceled. If an OutboundPayment fails to arrive at its payout method, its status will change toreturned.Possible enum valuescanceledA user canceled the OutboundPayment before posting. Stripe returns the funds to the user by voiding the pending Transaction.
failedThe OutboundPayment failed to confirm. Stripe returns the funds to the user by voiding the pending Transaction.
postedThe OutboundPayment posted and funds have left the account. The underlying Transaction posts.
processingThe OutboundPayment starting state. Funds are “held” by a pending Transaction (but are still part of the current balance). The OutboundPayment might be cancelable by the user, depending on the value of the cancelable field.
returnedThe OutboundPayment failed to successfully arrive at the destination. Funds return to the user with a second posted Transaction attached to the same flow.
- status_
detailsnullable object Status details for an OutboundPayment in a
failedorreturnedstate. - status_
transitionsnullable object Hash containing timestamps of when the object transitioned to a particular status.
- toobject
To which payout method the OutboundPayment was sent.
- trace_
idobjectPreview feature A unique identifier that can be used to track this OutboundPayment with recipient bank. Banks might call this a “reference number” or something similar.
Error returned when user tries to cancel an OutboundPayment that was already canceled.
Error returned when user tries to cancel an OutboundPayment that is not cancelable.
The resource wasn’t found.
An idempotent retry occurred with different request parameters.
{ "id": "obp_test_65OAfUM3B6hTbQdW72y16NybHIZ4SQ3LORe4rpuNGDIWJM", "object": "v2.money_management.outbound_payment", "from": { "financial_account": "fa_test_65NybHaQx7KJxDc22rZ16NybHIZ4SQ3LORe4rpuNGDIXEO", "debited": { "value": 1000, "currency": "usd" } }, "to": { "recipient": "acct_test_61Nyc6oHjbwlpjhvd66Nyc6oZ4SQv89ZZAqvHiCECJ3g", "payout_method": "usba_test_61Nyd9YFBVUzLyxXZ16Nyc6oZ4SQv89ZZAqvHiCEC9VQ", "credited": { "value": 1000, "currency": "usd" } }, "delivery_options": { "bank_account": "automatic" }, "amount": { "value": 1000, "currency": "usd" }, "statement_descriptor": "Payment for streaming earnings", "cancelable": false, "description": "Streamer earnings", "status": "canceled", "status_transitions": { "canceled_at": "2023-04-26T23:14:58.321Z" }, "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZOeWJISVo0U1EzTE9SZTRycHVOR0RJKPLgpqIGMgZBx27xZEo6oQGUR30NbXwz1j0WmxEwLevKOXOcTPmzD_FcmosVpuqn-OYyZtJjGelbPMVU6VGQT36biU_sfx4lsdhauww6kFoxVbgqBsU-VAjmQdZEc-fVKIz9JBsMHJhyKFDpL3kCh8gXp0IF54EDL5i4FQNlRkov2Y6_MOKiwR98wDF3DygpktUvh9uL9W8qTlhLu0Gd3qRFszuKzWdLva2hs_4139yZbQ", "created": "2023-04-26T23:13:51.767Z", "expected_arrival_date": "2023-04-28T00:00:00Z", "recipient_notification": { "setting": "configured" }, "livemode": false}This is a list of all public thin events we currently send for updates to OutboundPayment, which are continually evolving and expanding. The payload of thin events is unversioned. During processing, you must fetch the versioned event from the API or fetch the resource’s current state.